source: npl/mailserver/dspam/dspam-3.10.2/autogen.sh @ c5c522c

gcc484ntopperl-5.22
Last change on this file since c5c522c was c5c522c, checked in by Edwin Eefting <edwin@datux.nl>, 8 years ago

initial commit, transferred from cleaned syn3 svn tree

  • Property mode set to 100755
File size: 2.1 KB
Line 
1#!/bin/sh
2# $Id: autogen.sh,v 1.00 2009/12/22 12:25:59 sbajic Exp $
3
4PROG=`basename $0`
5
6KEYFILE=src/libdspam.c
7
8# Some OS's have multiple versions (autoconf259, etc.) and don't have an
9# autoconf binary
10
11AUTOCONF=`which autoconf`
12LIBTOOLIZE=`which libtoolize`
13if test x"${AUTOCONF}" != x -a -f ${AUTOCONF}
14then
15    AUTOCONF=autoconf
16    AUTOMAKE=automake
17    ACLOCAL=aclocal
18    if test x"${LIBTOOLIZE}" != x -a -f "${LIBTOOLIZE}"
19    then
20      LIBTOOLIZE=libtoolize
21    else
22      LIBTOOLIZE=glibtoolize
23    fi
24    AUTOHEADER=autoheader
25else
26    FINDPATH=`echo ${PATH}|sed -e 's,:, ,g'`
27    AUTOCONF=`find ${FINDPATH} -name "autoconf*"|sort -r|head -1`
28    AUTOMAKE=`find ${FINDPATH} -name "automake*"|sort -r|head -1`
29    ACLOCAL=`find ${FINDPATH} -name "aclocal*"|sort -r|head -1`
30    LIBTOOLIZE=`find ${FINDPATH} -name "libtoolize*"|sort -r|head -1`
31    AUTOHEADER=`find /usr/bin /usr/local/bin -name "autoheader*"|sort -r|head -1`
32    echo "$0: autoconf: using ${AUTOCONF}"
33    echo "$0: automake: using ${AUTOMAKE}"
34    echo "$0: aclocal: using ${ACLOCAL}"
35    echo "$0: libtoolize: using ${LIBTOOLIZE}"
36    echo "$0: autoheader: using ${AUTOHEADER}"
37fi
38
39GETTEXTIZE_FLAGS=--no-changelog
40AUTOPOINT_FLAGS=
41LIBTOOLIZE_FLAGS=
42
43# Some OS's require /usr/local/share/aclocal
44
45if test ! -d /usr/local/share/aclocal
46then
47  ACLOCAL_FLAGS='-I m4'
48else
49  ACLOCAL_FLAGS='-I m4 -I /usr/local/share/aclocal'
50fi
51AUTOHEADER_FLAGS=
52AUTOMAKE_FLAGS='--add-missing'
53AUTOCONF_FLAGS=-Wno-obsolete
54
55die()
56{
57    err=$?
58    echo "$PROG: exited by previous error(s), return code was $err" >&2
59    exit 1
60}
61
62if [ ! -f $KEYFILE ]
63then
64    echo "$PROG: key-file \`$KEYFILE' not found, exiting." >&2
65    echo "$PROG: hint: you should run $PROG from top-level sourse directory." >&2
66    exit 1
67fi
68
69# gettextize ${GETTEXTIZE_FLAGS}
70# autopoint ${AUTOPOINT_FLAGS}
71# xml-i18n-toolize       || die
72# intltoolize            || die
73${LIBTOOLIZE} ${LIBTOOLIZE_FLAGS} --force || die
74${ACLOCAL} ${ACLOCAL_FLAGS}        || die
75${AUTOHEADER} ${AUTOHEADER_FLAGS}  || die
76${AUTOMAKE} ${AUTOMAKE_FLAGS}      || die
77${AUTOCONF} ${AUTOCONF_FLAGS}      || die
Note: See TracBrowser for help on using the repository browser.